#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.6
visibility:           public
id:                   foldl-1.4.6-9NkKiXPkm563jUl1ZnwjFZ
key:                  foldl-1.4.6-9NkKiXPkm563jUl1ZnwjFZ
license:              BSD-3-Clause
copyright:            2013 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  c8430eab690111a4d108354bff121d2d
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.Text
    Control.Scanl

hidden-modules:       Control.Foldl.Optics Control.Foldl.Internal
import-dirs:          /usr/lib/ghc-8.8.2/site-local/foldl-1.4.6
library-dirs:         /usr/lib/ghc-8.8.2/site-local/foldl-1.4.6
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.8.2/foldl-1.4.6
hs-libraries:         HSfoldl-1.4.6-9NkKiXPkm563jUl1ZnwjFZ
depends:
    base-4.13.0.0 bytestring-0.10.10.0
    comonad-5.0.6-J1GYwepYiMm1OqJKe3R0Ba containers-0.6.2.1
    contravariant-1.5.2-2jV68Ctq1IVAc8M3y7yJKu
    hashable-1.2.7.0-BxGxAJSPpuh3YKsULesjmE
    mwc-random-0.14.0.0-6idNff71TKQ4jmdgnu2o9P
    primitive-0.7.0.0-BJKNB1CdxR09IS7Mq0RtDA
    profunctors-5.5.1-BjeKzzC0wlrKqRcrGSt5AK
    semigroupoids-5.3.4-cMNkWmY5857A2aljIfeBw text-1.2.4.0
    transformers-0.5.6.2
    unordered-containers-0.2.10.0-7SjMUGSLAdi81baGHdq4uZ
    vector-0.12.1.2-8Yi5LCISmVD9SvAlXGSx9t
    vector-builder-0.3.8-GzggOOlhYLnL2kYivIc5SG

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

